liborigin 2.0.0

Public Member Functions | Private Attributes | List of all members
OriginDefaultParser Class Reference

`#include <OriginDefaultParser.h>`

Inheritance diagram for OriginDefaultParser:

## Public Member Functions
| OriginDefaultParser (const string &fileName)
bool | parse ()
Public Member Functions inherited from OriginParser
vector< Origin::Excel >::difference_type | findExcelByName (const string &name) const
vector< Origin::Function >::difference_type | findFunctionByName (const string &name) const
vector< Origin::Matrix >::difference_type | findMatrixByName (const string &name) const
vector< Origin::SpreadSheet >::difference_type | findSpreadByName (const string &name) const
virtual bool | parse ()=0
void | setFileVersion (unsigned int version)
virtual | ~OriginParser ()

## Private Attributes
string | fileName

## Additional Inherited Members
Public Attributes inherited from OriginParser
vector< Origin::Excel > | excels
unsigned int | fileVersion
vector< Origin::Function > | functions
vector< Origin::Graph > | graphs
vector< Origin::Matrix > | matrixes
vector< Origin::Note > | notes
tree< Origin::ProjectNode > | projectTree
string | resultsLog
vector< Origin::SpreadSheet > | speadSheets
unsigned int | windowsCount
Protected Member Functions inherited from OriginParser
void | convertSpreadToExcel (vector< Origin::SpreadSheet >::size_type spread)
int | findColumnByName (int spread, const string &name)
pair< string, string > | findDataByIndex (unsigned int index) const
vector< Origin::SpreadColumn >::difference_type | findExcelColumnByName (vector< Origin::Excel >::size_type excel, vector< Origin::SpreadSheet >::size_type sheet, const string &name) const
pair< Origin::ProjectNode::NodeType, string > | findObjectByIndex (unsigned int index) const
vector< Origin::SpreadColumn >::difference_type | findSpreadColumnByName (vector< Origin::SpreadSheet >::size_type spread, const string &name) const

## Constructor & Destructor Documentation

## ◆ OriginDefaultParser()

OriginDefaultParser::OriginDefaultParser | ( | const string & | fileName | ) |

## Member Function Documentation

## ◆ parse()

bool OriginDefaultParser::parse | ( |  | ) |
| virtual

Implements OriginParser.

References fileName, OriginParser::findSpreadByName(), IsBigEndian(), MAX_LEVEL, OriginParser::speadSheets, and SwapBytes.

## Member Data Documentation

## ◆ fileName

string OriginDefaultParser::fileName
| private

Referenced by parse().

The documentation for this class was generated from the following files:

- /tmp/slackdce/slackrepo.5NA6jZ/build_liborigin/liborigin/OriginDefaultParser.h
- /tmp/slackdce/slackrepo.5NA6jZ/build_liborigin/liborigin/OriginDefaultParser.cpp